// creator  : weidu.exe (version 23600)
// argument : RSCOMN01.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~RSCOMN01~

IF ~~ THEN BEGIN 0 // from:
  SAY #28870 /* ~Hey, what are you supposed to be then? Some sort of kickpuncher? Come on, take a poke at me. I dares ya!~ [RSA109] */
  IF ~~ THEN EXTERN ~RASAAD~ 9
END

IF ~~ THEN BEGIN 1 // from:
  SAY #28871 /* ~Oh, so that's how it is, eh? You prance about, pretending to be some sort of hard man, but you're just a coward right?~ [RSA111] */
  IF ~~ THEN EXTERN ~RASAAD~ 10
END

IF ~~ THEN BEGIN 2 // from:
  SAY #28872 /* ~Oh, I get it. You're some kind of simpering priest, just pretending you knows how to fight but really just begging for coins, yeah?~ [RSA113] */
  IF ~~ THEN EXTERN ~RASAAD~ 11
END

IF ~~ THEN BEGIN 3 // from:
  SAY #28873 /* ~Yeah, yeah. Save it for temple school, boy. If you're not going to fight nobody, I won't waste any more time on you.~ [RSA115] */
  IF ~~ THEN REPLY #28874 /* ~Good for you, Rasaad. I admire a man who stands up for his principles, even in the face of ignorance.~ */ DO ~ActionOverride("RSCOMN01",EscapeArea())
~ EXTERN ~RASAAD~ 12
  IF ~~ THEN REPLY #28875 /* ~I guess enlightenment doesn't bring in as many coins as a good fistfight, eh, Rasaad?~ */ DO ~ActionOverride("RSCOMN01",EscapeArea())
~ EXTERN ~RASAAD~ 13
  IF ~~ THEN REPLY #28876 /* ~Are you going to take that from him, Baldy? Or are you all talk?~ */ EXTERN ~RASAAD~ 14
END

IF ~~ THEN BEGIN 4 // from:
  SAY #28877 /* ~Ten gold! Get over here, monk.~ [RSA119] */
  IF ~~ THEN EXTERN ~RASAAD~ 15
END

IF ~  GlobalGT("BURLY_KO","AR4800",0)
~ THEN BEGIN 5 // from:
  SAY #28878 /* ~Oof... what hit me?~ [RSA221] */
  IF ~~ THEN REPLY #28879 /* ~Nice! That was ten gold well spent.~ */ DO ~TakePartyGold(10)
~ EXTERN ~RASAAD~ 16
  IF ~~ THEN REPLY #28880 /* ~I've never seen anyone move so fast. Maybe there's something to this Sun Soul business.~ */ DO ~TakePartyGold(10)
~ EXTERN ~RASAAD~ 16
  IF ~~ THEN REPLY #28881 /* ~You may not have enlightened him, Rasaad, but you sure enDARKened his eye.~ */ DO ~TakePartyGold(10)
~ EXTERN ~RASAAD~ 16
END

IF ~~ THEN BEGIN 6 // from:
  SAY #28882 /* ~Who are you? And how did I end up on the ground here?~ [RSA223] */
  IF ~~ THEN EXTERN ~RASAAD~ 17
END

IF ~~ THEN BEGIN 7 // from:
  SAY #28883 /* ~Mumsy, I'm comin' home!~ [RSA225] */
  IF ~~ THEN DO ~ActionOverride("RSCOMN01",EscapeArea())
~ EXTERN ~RASAAD~ 18
END
